Subject: Re: bug#74740: 31.0.50; tty menus not displaying separators

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Dec 2024 15:54:17 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 09 Dec 2024 05:29:43 +0100
> 
> >>   23.18.1.3 Menu Separators
> >>   .........................
> >> 
> >>   A menu separator is a kind of menu item that doesn't display any
> >>   text--instead, it divides the menu into subparts with a horizontal line.
> >>   A separator looks like this in the menu keymap:
> >> 
> >>        (menu-item SEPARATOR-TYPE)
> >> 
> >>   where SEPARATOR-TYPE is a string starting with two or more dashes.
> >> 
> >> followed by a list of separator types, among them the --double-line I
> >> mentioned.
> >> 
> >> One can get these from 3rd-party packages. Minion is an example, where
> >> --double-line appears in a popup menu on the mode line.
> >
> > This was never supported in TTY menus (I think I was completely
> > unaware of this feature when I wrote the code).  Patches to support it
> > will be most welcome.
> 
> The following patch displays "--" for all separator types. I'd say
> that's good enough, WDYT?

Yes, LGTM, please install.  But please add a FIXME comment there
mentioning the feature and inviting its implementation.